/* Copyright 2009 Palm, Inc.  All rights reserved. */
/*global Class */

var LazyLoadImage = Class.create(
{
	initialize: function(url, target)
	{
        target.onerror = function()
        {
            this.onerror = undefined;  // don't want to end up in an endless loop if the following fails!
            this.src = "images/help-icon32.png";
        };
		target.src = url;
	}
});
